Gda.Set – Gda-6.0 Reference Manual

# Set

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_set_get_type ()" ) ]
public class Set : Object
All known sub-classes:

- DataModelImportIter

- DataModelIter

- DataSelectIter

Namespace: Gda
Package: Gda-6.0

## Content:

### Properties:

- public string description { owned get; set; }
- public void* holders { construct; }
- public string id { owned get; set; }
- public string name { owned get; set; }
- public bool validate_changes { get; set; }

### Static methods:

- public static Quark error_quark ()

### Creation methods:

- public Set (SList<Holder> holders)
- public Set.from_spec_node (unowned Node* xml_spec) throws Error
- public Set.from_spec_string (string xml_spec) throws Error
- public Set.read_only (SList<Holder> holders)

### Methods:

- public bool add_holder (Holder holder)
- public Set copy ()
- public unowned SetGroup get_group (Holder holder)
- public unowned SList<SetGroup> get_groups ()
- public unowned Holder get_holder (string holder_id)
- public unowned Value? get_holder_value (string holder_id)
- public unowned SList<Holder> get_holders ()
- public unowned SetNode get_node (Holder holder)
- public unowned SList<SetNode> get_nodes ()
- public unowned Holder get_nth_holder (int pos)
- public unowned SetSource get_source (Holder holder)
- public unowned SetSource get_source_for_model (DataModel model)
- public unowned SList<SetSource> get_sources ()
- public bool is_valid () throws Error
- public void merge_with_set (Set set_to_merge)
- public void remove_holder (Holder holder)
- public void replace_source_model (SetSource source, DataModel model)

### Signals:

- public virtual signal void holder_attr_changed (Holder holder, string attr_name, Value attr_value)
- public virtual signal void holder_changed (Holder holder)
- public virtual signal void holder_type_set (Holder holder)
- public virtual signal void public_data_changed ()
- public virtual signal void source_model_changed (void* source)
- public virtual signal Error validate_holder_change (Holder holder, Value new_value)
- public virtual signal Error validate_set ()

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref